<template>
  <div class="index">
    <van-nav-bar
      :fixed="true"
      :title="title"
      style="width: 100vw; height: 50px; margin: 0 auto"
      v-if="$route.meta.isApp && !$route.meta.isBack"
    />
    <van-nav-bar
      :fixed="true"
      style="width: 100vw; height: 50px; z-index: 999"
      left-arrow
      @click-left="onClickLeft"
      v-if="$route.meta.isApp && $route.meta.isBack"
    >
      <template #left>
        <van-icon
          v-if="$route.meta.isApp && $route.meta.isBack"
          name="arrow-left"
          size="20"
        />
      </template>
    </van-nav-bar>

    <transition name="fade" mode="out-in">
      <keep-alive>
        <router-view v-if="$route.meta.keepAlive"></router-view>
      </keep-alive>
    </transition>

    <router-view v-if="!$route.meta.keepAlive" />
    
    <van-tabbar v-if="$route.meta.isTrue" v-model="active" @change="onChange">
      <van-tabbar-item icon="apps-o" replace to="/unfinished">
        待开会议
      </van-tabbar-item>
      <van-tabbar-item icon="friends-o" replace to="/history">
        历史会议
      </van-tabbar-item>
      <van-tabbar-item icon="home-o" replace to="/order">
        预约会议
      </van-tabbar-item>
    </van-tabbar>
  </div>
</template>

<script>
export default {
  name: 'index',
  data() {
    return {}
  },
  components: {},
  beforeCreate() {},
  created() {},
  methods: {},
}
</script>
<style></style>
